/** @type {import('https://esm.sh/tailwindcss@3.1.8').Config} */
module.exports = {
  content: [
    "./routes/**/*.{tsx,ts}",
    "./islands/**/*.{tsx,ts}",
    "./components/**/*.{tsx,ts}",
  ],
  theme: {
    extend: {
      colors: {
        "licorice": {
          DEFAULT: "#160a16",
          "50": "#f9f0fd",
          "100": "#f4e3fc",
          "200": "#edcdf8",
          "300": "#e3aef3",
          "400": "#dd8dec",
          "500": "#d971e3",
          "600": "#d456d5",
          "700": "#bb47b9",
          "800": "#963c97",
          "900": "#783679",
          "950": "#160a16",
        },
        "sky": {
          DEFAULT: "#31a7e6",
          "50": "#f1f8fe",
          "100": "#e2f1fc",
          "200": "#bfe2f8",
          "300": "#87cbf2",
          "400": "#31a7e6",
          "500": "#1f96d8",
          "600": "#1278b7",
          "700": "#106094",
          "800": "#11527b",
          "900": "#144566",
          "950": "#0d2c44",
        },
        "grape": {
          DEFAULT: "#400a50",
          "50": "#fbf5fe",
          "100": "#f6eafd",
          "200": "#ecd3fb",
          "300": "#e0b1f6",
          "400": "#cf82f0",
          "500": "#b752e3",
          "600": "#9d32c7",
          "700": "#8426a5",
          "800": "#6d2187",
          "900": "#5c206f",
          "950": "#400a50",
        },
        "fire": {
          DEFAULT: "#e61c1c",
          "50": "#fff1f1",
          "100": "#ffe0e0",
          "200": "#ffc7c7",
          "300": "#ffa0a0",
          "400": "#ff6969",
          "500": "#f93a3a",
          "600": "#e61c1c",
          "700": "#d61515",
          "800": "#a01414",
          "900": "#851717",
          "950": "#480707",
        },
        "smoke": {
          DEFAULT: "#18181b",
          "50": "#f7f7f8",
          "100": "#eeeef0",
          "200": "#d9d9de",
          "300": "#b8b9c1",
          "400": "#91939f",
          "500": "#737584",
          "600": "#5d5e6c",
          "700": "#4c4d58",
          "800": "#41414b",
          "900": "#393941",
          "950": "#18181b",
        },
        "wasabi": {
          DEFAULT: "#808627",
          "50": "#fafaeb",
          "100": "#f3f2d4",
          "200": "#e9e9ad",
          "300": "#d7d97d",
          "400": "#c3c754",
          "500": "#a6ac36",
          "600": "#808627",
          "700": "#636922",
          "800": "#4f5420",
          "900": "#43481f",
          "950": "#23270c",
        },
      },
      fontFamily: {
        pixel: "'Minecraft', cursive",
      },
    },
    container: {
      center: true,
    },
  },
};
